# ProblemEvent

@NullMarked
@Incubating
interface ProblemEvent : ProgressEvent

An event representing a problem.

#### Since

8.4

#### Inheritors

SingleProblemEvent
ProblemAggregationEvent
ProblemSummariesEvent

## Functions

getDescriptor
Link copied to clipboard
abstract fun getDescriptor(): OperationDescriptor
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getEventTime
Link copied to clipboard
abstract fun getEventTime(): Long